#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace ParticleSystem
{
    public struct VertexPointSprite
    {
        public Vector3 Position;
        public float PointSize;
        public Color Color;

        public VertexPointSprite(
            Vector3 Position,
            Color Color,
            float PointSize)
        {
            this.Position = Position;
            this.Color = Color;
            this.PointSize = PointSize;
        }

        public static int SizeInBytes = 8 * sizeof(float);

        public static VertexElement[] VertexElements =
             {
                 new VertexElement(0, 0, VertexElementFormat.Vector3, VertexElementMethod.Default, VertexElementUsage.Position, 0),
                 new VertexElement(0, sizeof(float)*3, VertexElementFormat.Single, VertexElementMethod.Default, VertexElementUsage.PointSize, 0),
                 new VertexElement(0, sizeof(float)*4, VertexElementFormat.Color, VertexElementMethod.Default, VertexElementUsage.Color, 0)
             };
    }
}